For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCopy folder
      • POSTCreate folder
      • DELDelete folder
      • GETList folder children
      • GETList folders
      • PATCHMove folder
      • GETShow folder
      • PATCHUpdate folder

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceFolders

Copy folder

POST
https://api.frame.io/v4/accounts/:account_id/folders/:folder_id/copy
POST
/v4/accounts/:account_id/folders/:folder_id/copy
1from frameio import Frameio
2from frameio.folders import FolderCopyParamsData
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.folders.copy(
9 account_id="cc3f8b1a-73dc-4893-9ff9-ebafb7e6c60e",
10 folder_id="67205181-915e-4e03-b7e9-1c5defbe3b42",
11 data=FolderCopyParamsData(
12 parent_id="2e426fe0-f965-4594-8b2b-b4dff1dc00ec",
13 ),
14)
1{
2 "data": {
3 "created_at": "2023-09-25T19:18:29.614189Z",
4 "id": "fffdb20f-5c72-49b6-afdf-84b3ba063b5c",
5 "name": "My Folder (1)",
6 "parent_id": "2e426fe0-f965-4594-8b2b-b4dff1dc00ec",
7 "project_id": "a9246c80-07fc-4d27-9c21-5d51b65d092f",
8 "type": "folder",
9 "updated_at": "2024-02-07T16:44:41.986478Z",
10 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
11 "cover_file_id": "30abc659-e781-4039-b6a4-995d662fa4f1",
12 "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890"
13 }
14}

Copy folder.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Create folder

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
folder_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

Query parameters

copy_metadatabooleanOptionalDefaults to false
Whether to copy metadata values along with the folder

Request

Folder params
dataobjectOptional

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).